Subject: bug#52508: [PATCH] Option for vc-delete-file to keep file on disk

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Dec 2021 09:07:53 +0200

> From: Richard Stallman <[email-masked]>
> Date: Fri, 17 Dec 2021 23:41:15 -0500
> Cc: [email-masked], [email-masked], [email-masked]
> 
>   > I've created the attached patch to have vc-delete file to keep files on
>   > disk using a prefix argument. I've only tested it for vc-git.
> 
> This may seem shocking, but what about changing vc-delete-file
> to ALWAYS preserve the local file?  In other words, to change ONLY the repo?

I think it would be unexpected.  VCS deletion usually means you delete
both the file on the local disk and tell the VCS to delete it from the
repository.